Bug 9629 - Security update request for opera, to 12.15
: Security update request for opera, to 12.15
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 2
: All Linux
: Normal Severity: normal
: ---
Assigned To: QA Team
: Sec team
:
: MGA2-64-OK MGA2-32-OK
: Security, validated_update
:
:
  Show dependency treegraph
 
Reported: 2013-04-06 00:18 CEST by Anssi Hannula
Modified: 2013-04-10 00:10 CEST (History)
4 users (show)

See Also:
Source RPM: opera
CVE:


Attachments

Description Anssi Hannula 2013-04-06 00:18:07 CEST
Opera 12.15 has been pushed to mga2 nonfree/updates_testing by Funda.

Suggested advisory
===================
Opera 12.15 fixes several security and stability issues found in previous
versions.

Fixed a moderately severe issue, as reported by Attila Suszter. (details to be disclosed at a later date)

Added safeguards against attacks on the RC4 encryption protocol. (Opera advisory 1046, low severity)

Fixed an issue where cookies could be set for a top-level domain. (Opera advisory 1047, low severity)

For a complete list of changes including the non-security fixes, see the referenced changelog.

http://www.opera.com/security/advisory/1046
http://www.opera.com/security/advisory/1047
http://www.opera.com/docs/changelogs/unified/1215/
====================

Packages:
opera-12.15-1.mga2.nonfree
Comment 1 Dave Hodgins 2013-04-06 23:04:07 CEST
Testing complete on Mageia 2 i586 and x86-64.

Could someone from the sysadmin team push the srpm
opera-12.15-1.mga2.nonfree
from Mageia 2 Nonfree Updates Testing to Nonfree Updates.

Advisory: Opera 12.15 fixes several security and stability issues found in previous
versions.

Fixed a moderately severe issue, as reported by Attila Suszter. (details to be disclosed at a later date)

Added safeguards against attacks on the RC4 encryption protocol. (Opera advisory 1046, low severity)

Fixed an issue where cookies could be set for a top-level domain. (Opera advisory 1047, low severity)

For a complete list of changes including the non-security fixes, see the referenced changelog.

http://www.opera.com/security/advisory/1046
http://www.opera.com/security/advisory/1047
http://www.opera.com/docs/changelogs/unified/1215/

https://bugs.mageia.org/show_bug.cgi?id=9629
Comment 2 Thomas Backlund 2013-04-08 00:15:19 CEST
No can do... it was pushed to wrong media for testing (core instead of nonfree)
Comment 3 Anssi Hannula 2013-04-08 00:17:08 CEST
Resubmitted to nonfree/updates_testing.
Comment 4 Dave Hodgins 2013-04-08 02:09:50 CEST
Sorry I missed that. Testing complete on Mageia 2 i586 and x86_64.

Could someone from the sysadmin team push the srpm
opera-12.15-1.mga2.nonfree.src.rpm
from Mageia 2 Nonfree Updates Testing to Nonfree Updates.

Advisory: Opera 12.15 fixes several security and stability issues found in previous
versions.

Fixed a moderately severe issue, as reported by Attila Suszter. (details to be disclosed at a later date)

Added safeguards against attacks on the RC4 encryption protocol. (Opera advisory 1046, low severity)

Fixed an issue where cookies could be set for a top-level domain. (Opera advisory 1047, low severity)

For a complete list of changes including the non-security fixes, see the referenced changelog.

http://www.opera.com/security/advisory/1046
http://www.opera.com/security/advisory/1047
http://www.opera.com/docs/changelogs/unified/1215/

https://bugs.mageia.org/show_bug.cgi?id=9629
Comment 5 Thomas Backlund 2013-04-10 00:10:38 CEST
Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0115

Note You need to log in before you can comment on or make changes to this bug.